Bug 173814 - pear makerpm does not generate RPM deps on other PEAR packages
pear makerpm does not generate RPM deps on other PEAR packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 10:30 EST by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: php-pear-1.4.5-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-30 06:40:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds RPM dependencies on other PEAR packages and has some commented-out sections showing how other deps could be generated (3.53 KB, patch)
2005-11-21 10:30 EST, Tim Jackson
no flags Details | Diff

  None (edit)
Description Tim Jackson 2005-11-21 10:30:56 EST
Description of problem:
"pear makerpm" does not generate any RPM deps for other PEAR packages. This has
been fixed (to some extent - see bug #173804) upstream (see
http://pear.php.net/bugs/bug.php?id=1870 and latest PEAR package) but version of
PEAR bundled with stable PHP dist is quite a number of versions behind (1.3.5 v
1.4.4), even with the version of PHP in devel.

I have produced a small patch which is not a backport (it was developed
independently) but applies against older versions of PEAR such as that included
with FC4 and fixes "makerpm" to generate at least some RPM dependencies. Whilst
the right fix is to update to the latest PEAR, this is a big pain - at least
unless/until bug #173810 is resolved and/or upstream PHP stable includes a newer
PEAR version (which no doubt it will in due course, but that doesn't help now).

Patch does not include any deps on actual core PEAR version - see bug #173806.
If 173806 is fixed, PEAR deps could be generated.

Patch also does not include any deps on PHP modules/extensions. If bug #173804
is fixed, section which generates deps on PHP modules/extensions can be
uncommented and will work.

Version-Release number of selected component (if applicable):
php-pear-5.0.4-10.5

How reproducible: Always

Steps to Reproduce:
1. pear makerpm SomePackage-x.y.z.tgz (any package that requires another PEAR
package)
  
Actual results:
Observe generated RPM spec file and see that it does not have Requires:
PEAR::XXX where XXX is the required package

Expected results:
RPM spec file has Requires: PEAR::XXX
Comment 1 Tim Jackson 2005-11-21 10:30:57 EST
Created attachment 121299 [details]
adds RPM dependencies on other PEAR packages and has some commented-out sections showing how other deps could be generated
Comment 2 Tim Jackson 2005-11-21 12:30:53 EST
See also discussion in bug #173806 about package naming conventions for PEAR
Comment 3 Tim Jackson 2005-12-30 06:40:17 EST
This bug can be closed now that php-pear has been upgraded to 1.4.5 which
incorporates the fix upstream.

Note You need to log in before you can comment on or make changes to this bug.